> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Return History

> Admin: add a history entry to a return (status change / comment).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/returns/{id}/history
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/returns/{id}/history:
    post:
      tags:
        - admin:returns
      summary: Add Return History
      description: 'Admin: add a history entry to a return (status change / comment).'
      operationId: add_return_history_api_v1_admin_returns__id__history_post
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReturnHistoryCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ReturnHistoryOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReturnHistoryCreate:
      properties:
        return_status_id:
          type: string
          format: uuid
          title: Return Status Id
        notify:
          type: boolean
          title: Notify
          default: false
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      type: object
      required:
        - return_status_id
      title: ReturnHistoryCreate
    ApiResponse_ReturnHistoryOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ReturnHistoryOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[ReturnHistoryOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReturnHistoryOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        return_id:
          type: string
          format: uuid
          title: Return Id
        return_status_id:
          type: string
          format: uuid
          title: Return Status Id
        return_status:
          anyOf:
            - $ref: '#/components/schemas/ReturnStatusOut'
            - type: 'null'
        notify:
          type: boolean
          title: Notify
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - return_id
        - return_status_id
        - notify
        - comment
        - created_at
      title: ReturnHistoryOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ReturnStatusOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        sort_order:
          type: integer
          title: Sort Order
        restocks_inventory:
          type: boolean
          title: Restocks Inventory
          default: false
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
      type: object
      required:
        - id
        - name_i18n
        - sort_order
      title: ReturnStatusOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````